kafka-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From SenthilKumar K <senthilec...@gmail.com>
Subject Re: Required guidelines for kafka upgrade
Date Thu, 02 May 2019 06:05:25 GMT
Hi ,
#1 -  Download stable version 2.2.0 [kafka_2.11-2.2.0.tgz
<https://www.apache.org/dyn/closer.cgi?path=/kafka/2.2.0/kafka_2.11-2.2.0.tgz>
]
#2 -  Update server.properties with below values.
           inter.broker.protocol.version=0.10.1
           log.message.format.version=0.10.1
#3 -  Make sure to compare the server.properties config of your existing
cluster 0.10.1 and new server.properties
#4  - Restart the Brokers one by one . After restarting broker you have to
verify the overall cluster functionality
#5  - If you are not setting ssl.endpoint.identification.algorithm value
you would
    see org.apache.kafka.common.errors.SslAuthenticationException: SSL
handshake failed.
    You need to make sure you have proper certs ( applicable only for SSL
cluster)
#6 - Update server.properties with below values and restart brokers one by
one.
           inter.broker.protocol.version=2.2.0
           log.message.format.version=2.2.0
Prerequisites : Kafka Producer and Consumer Compatibility Check. Make sure
your current clients are compatible with Kafka 2.2.0.
--Senthil

On Thu, May 2, 2019 at 3:05 AM ASHOK MACHERLA <iashok7@outlook.com> wrote:

> Dear Senthil
>
> Please update on this mail.
>
> Please check my previous email.
>
> Can I follow that same steps to upgrade Kafka cluster.
>
> Or else suggest any changes required
>
> Thanks
>
> Sent from Outlook
>

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message